1

If your screen resolution is 1366x768 and your Intel card is able to go down to 40 Hz screen refresh rate for power saving (and most modern laptops can, no matter how cheap) instead of the usual 60 Hz, you may have noticed that the movement is not anymore smooth in NTSC video, or 720p60 YouTube videos, or your 60 fps camcorder videos. This happens because after kernel 4.13 a bug was introduced and, no matter the video settings you try with xrandr or your desktop graphical settings dialog, at 1366x768 the refresh rate will be stuck at 40 Hz, and a way to check this is by running 'glxgears'.

There are both Debian and Launchpad bug reports of this since kernel 4.14. (e.g. #898808) or Archlinux (e.g. #56711) and numerous complaints, but the bug hasn't been fixed yet.

How can one force the correct refresh rate of 60 Hz at 1366x768?

1

Here is how I have solved it in Debian 9. I thought it would be useful to post it as a question and then posting the answer myself.

gtf 1366 768 60

This spits a couple of lines full of numbers:

# 1368x768 @ 60.00 Hz (GTF) hsync: 47.70 kHz; pclk: 85.86 MHz
Modeline "1368x768_60.00"  85.86  1368 1440 1584 1800  768 769 772 795  -HSync +Vsync

Note that it says 1368 where it should be 1366. Now:

su
cd /etc/X11
mkdir xorg.conf.d
cd xorg.conf.d
nano 20-intel.conf

And there, we add this:

Section "Monitor"
    Modeline "1366x768x60.00_PorCojones"  85.86  1366 1440 1584 1800  768 769 772 795  -HSync +Vsync
    Identifier "eDP1"
    Option "PreferredMode" "1366x768x60.00_PorCojones"
EndSection

Note that the number that follows after 85.86 is 1366 and not 1368. Also, you should change "eDP1" into a different thing (type xrandr to see) if you use Ubuntu because they do that kind of small changes before re-compiling the packages they pull up from the Debian Unstable (for Ubuntu *.10) or Debian Testing (for Ubuntu *.04) repositories.

This solved the issue for me and now I can have the latest Backports kernel and watch smooth video at 60 Hz. You're welcome.

  • 1
    If your main worry is the Spectre and Meltdown vulnerabilities, the Debian 9 kernel (4.9.88-1+deb9u1 currently) is just as safe as 4.17. By using the Stretch backports kernel you’re exposing yourself to other vulnerabilities (kernels are pushed to Stretch security faster than to backports). – Stephen Kitt May 16 '18 at 5:20
  • Disk hibernation doen't work with 4.9.6 in my laptop. Also, running spectre-meltdown-checker show three big red "VULNERABLE" warnings with 4.9.6, whereas 4.15 and 4.16 show green "NOT VULNERABLE". Am I missing something? – Mephisto May 16 '18 at 10:26
  • @StephenKitt Also, where is that kernel? It happens that I just did dist-upgrade about one hour ago, and cache search linux-image and I didn't see it – Mephisto May 16 '18 at 10:41
  • 2
    See here... I’m not sure what you’re missing, s-m-c shows all green for me. – Stephen Kitt May 16 '18 at 10:57
  • @StephenKitt You're right, I see now the latest 4.9.* reports "not vulnerable" with s-m-c. Thank you (+1). I still cannot use because hibernation to disk is an issue. – Mephisto May 16 '18 at 19:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.